import * as Electron from 'electron';
import log from 'electron-log';

import { PlatformApi } from '@ucap/electron-common';

import { App } from './app/app';

async function bootstrap() {
  try {
    log.debug('Start app...');
    const app = await PlatformApi.Platform.bootstrap(App, {});

    await app.start();
    log.debug('App started');
  } catch (er) {
    log.error(er);
  }
}

bootstrap();
